curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"standard": {
"number": "4111111111111111",
}
}'
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "standard",
"standard": {
"number": "xxxxxxxxxxxxxxxx",
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
Credit Card Verification
Update a Standard Verification
PUT
/
accounts
/
{acc_id}
/
verification_sessions
/
{avf_id}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"standard": {
"number": "4111111111111111",
}
}'
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "standard",
"standard": {
"number": "xxxxxxxxxxxxxxxx",
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
Updates an existing AccountVerificationSession object of type
standard.
The Standard Verification type is restricted to most teams, and requires PCI compliance to access.
Contact your Method CSM for more information.
Path Parameters
Body
Returns
Returns an AccountVerificationSession object.curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"standard": {
"number": "4111111111111111",
}
}'
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "standard",
"standard": {
"number": "xxxxxxxxxxxxxxxx",
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
⌘I